commit:     c6ccfdd5c1395d65d6ca5b665f138e2c3e1d1b19
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 13 19:33:45 2020 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Thu Aug 13 19:33:45 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c6ccfdd5

dev-ruby/pkg-config: add 1.4.2

Package-Manager: Portage-2.3.103, Repoman-2.3.23
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/pkg-config/Manifest                |  1 +
 dev-ruby/pkg-config/pkg-config-1.4.2.ebuild | 31 +++++++++++++++++++++++++++++
 2 files changed, 32 insertions(+)

diff --git a/dev-ruby/pkg-config/Manifest b/dev-ruby/pkg-config/Manifest
index 099763b47b1..44a0cd695e0 100644
--- a/dev-ruby/pkg-config/Manifest
+++ b/dev-ruby/pkg-config/Manifest
@@ -1,2 +1,3 @@
 DIST pkg-config-1.2.8.gem 20480 BLAKE2B 
cc11b5eff30f0f5e1a91e64902931ed540da108fd326fe731b71527c9c4310f55e9002617e1baae4f71a4b705b20cf10f6fa112f8ef56971e82868145d372a47
 SHA512 
d83a599a48c7d404946054c6846b6cfd9fce2a264c288519a6eccd9787f05d45397dd46300bf97c80700921456318154ea6d44ba32cd159803471073c2a2b065
 DIST pkg-config-1.4.1.gem 22016 BLAKE2B 
efac610221b288bb669a3783c0e70af3951478147896315c53af2186912b60045096c0ba01a0a59ce09897a2e4e747d28a091b947281fe7f6dd6f85cea31aae7
 SHA512 
72d61466c1ea53a5eda66a8e8f8106fef0269fefdd349ac83959a34bb8f36796bd3e9c7fbcbad5763d2fca015c65436f9d410724e27b6d1c495e3957d26757a6
+DIST pkg-config-1.4.2.gem 22016 BLAKE2B 
fb8f32c811f856d11653fc0450e5615d83dea07f07f712b4914edfdca1e35f9b2da7d04578c9f28a1562cb0a405e54f6429cfac792ca2f86710d18c30a75be71
 SHA512 
f727f416860b08e87390c60800333bab7b0d6238fe1f93bc12b92ec67ca75c5c9ad128332a54a0b895dbf49944a50619e3bf40c49efcc7e73811d51714ae3d66

diff --git a/dev-ruby/pkg-config/pkg-config-1.4.2.ebuild 
b/dev-ruby/pkg-config/pkg-config-1.4.2.ebuild
new file mode 100644
index 00000000000..2ebdd50bb93
--- /dev/null
+++ b/dev-ruby/pkg-config/pkg-config-1.4.2.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_EXTRADOC="README.rdoc NEWS"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A pkg-config implementation by Ruby"
+HOMEPAGE="https://github.com/rcairo/pkg-config";
+LICENSE="|| ( LGPL-2 LGPL-2.1 LGPL-3 )"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+SLOT="0"
+IUSE="test"
+
+ruby_add_bdepend "test? ( >=dev-ruby/test-unit-2.5.1-r1 )"
+# this is used for testing
+DEPEND+=" test? ( x11-libs/cairo )"
+
+all_ruby_prepare() {
+       # drop failing tests
+       sed -i -e "/test_cflags/,/end/d"\
+               -e "/test_cflags_only_I/,/end/d" test/test_pkg_config.rb || die
+}
+
+each_ruby_test() {
+       ruby-ng_testrb-2 -Ilib test/test_${PN/-/_}.rb || die
+}

Reply via email to